<?xml version="1.0" encoding="utf-8"?>
<FrameLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:card_view="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white">

    <include layout="@layout/top_bar" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <androidx.cardview.widget.CardView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            card_view:cardElevation="@dimen/_2sdp"
            card_view:cardCornerRadius="@dimen/_5sdp"
            android:layout_marginStart="@dimen/_10sdp"
            android:layout_marginEnd="@dimen/_10sdp"
            android:layout_marginTop="@dimen/_60sdp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:padding="@dimen/_8sdp">


                <Spinner
                    android:id="@+id/spinner_VehicleType"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:theme="@style/ThemeSpinner"
                    android:minHeight="@dimen/_35sdp"
                    android:layout_gravity="center"
                    android:textSize="@dimen/_12ssp"
                    android:layout_marginTop="@dimen/_12sdp"
                    android:alpha="0.5"/>

                <com.digi.soc.Controls.TextLight
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="@dimen/_12ssp"
                    android:text="Vehicle Number"
                    android:layout_marginTop="@dimen/_5sdp"
                    tools:ignore="HardcodedText" />

                <com.digi.soc.Controls.EditMedium
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/rect_gray"
                    android:layout_marginTop="@dimen/_8sdp"
                    android:minHeight="@dimen/_20sdp"
                    android:inputType="textCapSentences"
                    android:padding="@dimen/_5sdp"
                    android:textColor="@color/black"
                    android:gravity="start"
                    android:layout_marginBottom="@dimen/_10sdp"
                    android:id="@+id/edtVehicleNum"/>

            </LinearLayout>

        </androidx.cardview.widget.CardView>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/_10sdp"
            android:layout_marginEnd="@dimen/_10sdp"
            android:layout_marginTop="@dimen/_10sdp"
            android:layout_marginBottom="@dimen/_10sdp">

            <com.digi.soc.Controls.ButtonMedium
                android:layout_weight="0.5"
                android:layout_width="0dp"
                android:layout_height="@dimen/_35sdp"
                android:background="@drawable/rect_btn_green"
                android:textColor="@color/white"
                android:text="@string/action_add"
                tools:ignore="HardcodedText"
                android:textAllCaps="false"
                android:textSize="@dimen/_14ssp"
                android:layout_marginEnd="@dimen/_7sdp"
                android:id="@+id/btnAdd"/>

            <com.digi.soc.Controls.ButtonMedium
                android:layout_weight="0.5"
                android:layout_width="0dp"
                android:layout_height="@dimen/_35sdp"
                android:background="@drawable/rect_btn"
                android:textColor="@color/white"
                android:text="@string/action_cancel"
                tools:ignore="HardcodedText"
                android:textAllCaps="false"
                android:textSize="@dimen/_14ssp"
                android:layout_marginStart="@dimen/_7sdp"
                android:id="@+id/btnCancel"/>

        </LinearLayout>

    </LinearLayout>

</FrameLayout>